﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Web.UI
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls

Partial Class ImageUpload2
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        If IsPostBack = True And FileUpload1.HasFile = True And CheckBox1.Checked = True Then
            Dim rootWebConfig As System.Configuration.Configuration = _
                System.Web.Configuration.WebConfigurationManager.OpenWebConfiguration("~/Final")
            Dim myConnString As String = _
                rootWebConfig.ConnectionStrings.ConnectionStrings("ConnectionString").ToString()
            Dim myConn As SqlConnection = New SqlConnection(myConnString)
            myConn.Open()

            Dim myTrans As SqlTransaction = myConn.BeginTransaction()

            Try
                Dim myQuery As SqlCommand = New SqlCommand("SELECT claimID FROM claim WHERE reference=@reference", myConn)
                myQuery.Transaction = myTrans
                myQuery.Parameters.AddWithValue("@reference", TextBox1.Text)
                Dim myDR As SqlDataReader
                myDR = myQuery.ExecuteReader()
                If myDR.Read() = False Then
                    Label1.Text = "Invalid claim reference"
                    Return
                End If

                Dim claimID As Integer = myDR.GetInt32(0)
                myDR.Close()

                Dim imageBytes As Byte()
                ReDim imageBytes(FileUpload1.PostedFile.InputStream.Length)
                FileUpload1.PostedFile.InputStream.Read(imageBytes, 0, FileUpload1.PostedFile.InputStream.Length)

                Dim myInsert As SqlCommand = New SqlCommand("INSERT INTO image2 VALUES(@title,@description,@claimID,@image)", myConn)
                myInsert.Transaction = myTrans
                myInsert.Parameters.AddWithValue("@title", TextBox2.Text)
                myInsert.Parameters.AddWithValue("@description", TextBox3.Text)
                myInsert.Parameters.AddWithValue("@claimID", claimID)
                myInsert.Parameters.AddWithValue("@image", imageBytes)
                Dim rows As Integer = myInsert.ExecuteNonQuery()
                If rows <> 1 Then
                    Throw New Exception("Unexpected Result for Insert")
                End If
                myTrans.Commit()

                Label1.Text = ""
                TextBox1.Text = ""
                TextBox2.Text = ""
                TextBox3.Text = ""

            Catch myEx As Exception
                Label1.Text = myEx.Message
                myTrans.Rollback()
            End Try
        End If
    End Sub

End Class
